//
//  ViewController.m
//  RTCMDemo
//
//  Created by 龚海伟 on 16/5/5.
//  Copyright © 2016年 QXWZ. All rights reserved.
//

#import "ViewController.h"
#import <QXWZRtcmSDK/QXWZRTCMManager.h>
@interface ViewController ()<QXWZRTCMManagerDelegate,UITableViewDataSource,UITableViewDelegate>{
    QXWZRTCMManager *rtcmManager;
    UITableView *mTableView;
    
    NSMutableArray *dataArray;//存放接收到的RTCM信息
    
    UIButton *btnSendGGA;//发送GGA数据的按钮
}


@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    self.automaticallyAdjustsScrollViewInsets=YES;
    
    dataArray=[NSMutableArray array];
    
    //初始化一个RTCM管理器
    rtcmManager=[[QXWZRTCMManager alloc] init];
    rtcmManager.delegate=self;
    //初始化列表
    mTableView=[[UITableView alloc] initWithFrame:CGRectMake(0, 20, self.view.bounds.size.width, self.view.bounds.size.height-44-20)];
    mTableView.delegate=self;
    mTableView.dataSource=self;
    [self.view addSubview:mTableView];
    
    btnSendGGA=[[UIButton alloc] initWithFrame:CGRectMake(0, CGRectGetMaxY(mTableView.frame),mTableView.frame.size.width,44)];
    [btnSendGGA setBackgroundColor:[UIColor whiteColor]];
    btnSendGGA.layer.borderColor=[UIColor grayColor].CGColor;
    btnSendGGA.layer.borderWidth=0.5;
    [btnSendGGA setTitle:@"发送GGA" forState:UIControlStateNormal];
    [btnSendGGA setTitleColor:[UIColor blackColor] forState:UIControlStateNormal];
    [btnSendGGA setTitleColor:[UIColor blueColor] forState:UIControlStateHighlighted];
    [btnSendGGA addTarget:self action:@selector(btnSendGGACLciked:) forControlEvents:UIControlEventTouchUpInside];
    [self.view addSubview:btnSendGGA];
}

-(void)viewDidAppear:(BOOL)animated{
    [rtcmManager open];
}
-(void)viewDidDisappear:(BOOL)animated{
    [rtcmManager close];
}

-(void)btnSendGGACLciked:(UIButton *)btn{
    //往RTCM服务端发送GGA数据，GGA数据由用户提供，GGA数据必须以\r\n结尾
    [rtcmManager sendGGAWIthGGAString:@"$GPGGA,000001,3112.518576,N,12127.901251,E,1,8,1,0,M,-32,M,3,0*4B\r\n"];
    [self addCellString:@"发送GGA数据"];
}

-(NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    return dataArray.count;
}

-(UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    UITableViewCell *cell=[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleSubtitle reuseIdentifier:nil];
    NSDictionary *dict=[dataArray objectAtIndex:indexPath.row];
    
    cell.textLabel.text=[dict objectForKey:@"text"];
    
    NSDateFormatter *dateFormatter = [[NSDateFormatter alloc] init];
    [dateFormatter setDateFormat:@"yyyy-MM-dd HH:mm:ss"];
    cell.detailTextLabel.text= [dateFormatter stringFromDate:[dict objectForKey:@"date"]];
    return cell;
}

-(void)addCellString:(NSString *)str{
    [dataArray addObject:[NSDictionary dictionaryWithObjectsAndKeys:str,@"text",[NSDate date],@"date", nil]];
    [mTableView reloadData];
    //列表滚动到最后一条数据的位置
    [mTableView scrollToRowAtIndexPath:[NSIndexPath indexPathForRow:dataArray.count - 1 inSection:0] atScrollPosition:UITableViewScrollPositionBottom animated:YES];
}

-(void)qxwz_rtcmManager:(QXWZRTCMManager *)manager recivedRTCMData:(NSData *)data{
    [self addCellString:[NSString stringWithFormat:@"收到rtcm数据，长度：%lu",(unsigned long)data.length]];
}


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
