//
//  QXWZRTCMManager.h
//  Pods
//
//  Created by QXWZ on 16/4/22.
//
//

#import <Foundation/Foundation.h>
#import "QXWZSDK.h"
#import "QXWZNtripSetting.h"

@interface QXWZRTCMAccount : NSObject
/**
 * POP平台用户ID
 */
@property (nonatomic,readonly,assign)NSInteger wzPOPUserId;

/**
 * 设备唯一ID
 */
@property (nonatomic,readonly,strong)NSString *deviceId;

/**
 * 申请应用ID
 */
@property (nonatomic,readonly,assign)NSInteger wzAppId;

/**
 * Ntrip用户ID
 */
@property (nonatomic,readonly,assign)NSInteger wzNtripUserId;

/**
 * Ntrip用户名
 */
@property (nonatomic,readonly,strong)NSString *wzNtripUserName;

/**
 * Ntrip用户密码
 */
@property (nonatomic,readonly,strong)NSString *wzNtrippd;

/**
 * Ntrip用户使用MP类型.值暂时只有1
 */
@property (nonatomic,readonly,assign)NSInteger wzNtripUserType;

@end

@class QXWZRTCMManager;

@protocol QXWZRTCMManagerDelegate <NSObject>
/**
 *  接收到rtcm数据的回调
 *
 *  @param manager
 *  @param data    
 */
-(void)qxwz_rtcmManager:(QXWZRTCMManager *)manager recivedRTCMData:(NSData *)data;

@optional
-(void)qxwz_rtcmManager:(QXWZRTCMManager *)manager statusUpdate:(QXWZ_Status)statusCode;
@end

@interface QXWZRTCMManager : NSObject

@property (nonatomic,weak)id<QXWZRTCMManagerDelegate> delegate;
/**
 *  ntrip设置信息
 */
@property (nonatomic,strong)QXWZNtripSetting *ntripSetting;

@property (nonatomic,readonly,strong)QXWZRTCMAccount *rtcmAccount;
/**
 *  关闭
 */
-(void)close;
/**
 *  打开
 */
-(void)open;
/**
 *  向ntrip服务器发送经纬度数据用来获取rtcm数据
 *
 *  @param latitude
 *  @param longitude
 */
-(void)sendGGAWithLatitude:(double)latitude longitude:(double)longitude;

/**
 *  向ntrip服务器发送GGA字符串用来获取rtcm数据
 *
 *  @param ggastring
 */
-(void)sendGGAWIthGGAString:(NSString *)ggastring;
@end
